<?php
//  Sample AJAX web form using Recaptcha Validation By: Codex-m
//	http://www.php-developer.org                               
//  License: Open source, to support development please link to the developer website
//  Provided you will NOT remove the link to http://www.php-developer.org 
//  Revision 1.0 February 7, 2011: Suppress error warnings on: $posmid= @strpos($mystring,$findme,$actualposition) + 1; 
require_once('recaptchalib.php');
$errors=array();
$privatekey = "YOUR RECAPTCHA PRIVATE KEY HERE";
$resp = recaptcha_check_answer ($privatekey,
                                $_SERVER["REMOTE_ADDR"],
                                $_POST["recaptcha_challenge_field"],
                                $_POST["recaptcha_response_field"]);

if (!$resp->is_valid) {
  $errors[] = 'ERROR: The recaptcha code was not entered correctly or expired.';
}
$name =$_POST['name'];
$phonenumber =$_POST['phonenumber'];
$age =$_POST['age'];
if (empty($name)) {
$errors[] = 'ERROR: The name field is empty.';
}
if (empty($phonenumber)) {
$errors[] = 'ERROR: The phone field is empty.';
}
if (empty($age)) {
$errors[] = 'ERROR: The age field is empty.';
}
$mystring = $name;
$findme   = ' ';
$pos = strpos($mystring, $findme);
$actualposition =$pos + 1;
$count =strlen($mystring);
$countfirstname = $actualposition - 1;
$countlastname = $count - $actualposition;
$posmid= @strpos($mystring,$findme,$actualposition) + 1;
$middleadjust = $posmid - $actualposition;
$purealpha = str_replace(" ", "x", $mystring);
if ($actualposition==1) {
$errors[] = 'ERROR: You either forgot your first name or your last name.';
}
if ($countfirstname <2) {
$errors[] = 'ERROR: You are using an invalid first name, it should contain more than one character.';
}
if ($countlastname <2) {
$errors[] = 'ERROR: You are using an invalid last name, it should contain more than one character.';
}
if ($middleadjust >= 2) {
$errors[] = 'ERROR: You should not be using a middle name, please use only first name and last name.';
}
if (!(ctype_alpha($purealpha))) {
$errors[] = 'ERROR: Full name can only consist of alphabetic characters.';
}
if (!(ctype_digit($phonenumber))) {
$errors[] = 'ERROR: A phone number should consist of numerical digits only and no spaces between numbers';
}
if (!(ctype_digit($age))) {
$errors[] = 'ERROR: Your age should consist of numerical digits only and no spaces between numbers.';
}
if (sizeof($errors) > 0)
{
	echo "<ul>";
	foreach ($errors as $e)
	{
		echo "<li>$e</li>";
	}
	echo "</ul>";
	die ();
}
echo 'Thank you for the correct data entry, below are the information entered:';
echo '<br />';
echo "Your full name is: <b>$name</b>";
echo '<br />';
echo "Your phone number is: <b>$phonenumber</b>";
echo '<br />';
echo "Your age is: <b>$age</b>";
?>